Vector BLF: Vector::BLF::CanFdExtFrameData Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::CanFdExtFrameData Struct Reference

`#include <CanFdExtFrameData.h>`

Inheritance diagram for Vector::BLF::CanFdExtFrameData:

## Public Member Functions
| CanFdExtFrameData (const CanFdExtFrameData &)=default
CanFdExtFrameData & | operator= (const CanFdExtFrameData &)=default
| CanFdExtFrameData (CanFdExtFrameData &&)=default
CanFdExtFrameData & | operator= (CanFdExtFrameData &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint32_t | btrExtArb {}
uint32_t | btrExtData {}
std::vector< uint8_t > | reservedCanFdExtFrameData {}

## Detailed Description

optional information in CanFdMessage64 and CanFdErrorFrame64 classes

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::CanFdExtFrameData::calculateObjectSize | ( |  | ) | const
| virtual

Calculates the objectSize

Returns
  object size

Reimplemented in Vector::BLF::CanFdErrorFrame64, and Vector::BLF::CanFdMessage64.

## ◆ read()

void Vector::BLF::CanFdExtFrameData::read | ( | AbstractFile & | is | ) |
| virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented in Vector::BLF::CanFdErrorFrame64, and Vector::BLF::CanFdMessage64.

## ◆ write()

void Vector::BLF::CanFdExtFrameData::write | ( | AbstractFile & | os | ) |
| virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented in Vector::BLF::CanFdErrorFrame64, and Vector::BLF::CanFdMessage64.

## Member Data Documentation

## ◆ btrExtArb

uint32_t Vector::BLF::CanFdExtFrameData::btrExtArb {}

bit rate in arbitration phase

- Bit 0-7: TSEG1-1
- Bit 8-15: TSEG2-1
- Bit 16-27: Prescaler
- Bit 28-31: Quartz Frequency (enumeration). Supported values:
  - 0: 16 MHz
  - 1: 32 MHz
  - 2: 80 MHz

## ◆ btrExtData

uint32_t Vector::BLF::CanFdExtFrameData::btrExtData {}

bit rate in data phase

- Bit 0-7: TSEG1-1
- Bit 8-15: TSEG2-1
- Bit 16-27: Prescaler
- Bit 28-31: Quartz Frequency (enumeration). Supported values:
  - 0: 16 MHz
  - 1: 32 MHz
  - 2: 80 MHz

## ◆ reservedCanFdExtFrameData

std::vector<uint8_t> Vector::BLF::CanFdExtFrameData::reservedCanFdExtFrameData {}

reserved

The documentation for this struct was generated from the following files:

- CanFdExtFrameData.h
- CanFdExtFrameData.cpp